# IRremoteESP8266: src/ir_Symphony.cpp File Reference

ir_Symphony.cpp File Reference

Support for Symphony protocols. More...

## Variables

const uint16_t | kSymphonyZeroMark = 400
const uint16_t | kSymphonyZeroSpace = 1250
const uint16_t | kSymphonyOneMark = kSymphonyZeroSpace
const uint16_t | kSymphonyOneSpace = kSymphonyZeroMark
const uint32_t | kSymphonyFooterGap

## Detailed Description

Support for Symphony protocols.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1057
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1105
  https://www.alldatasheet.com/datasheet-pdf/pdf/124369/ANALOGICTECH/SM5021B.html

## Variable Documentation

## kSymphonyFooterGap

const uint32_t kSymphonyFooterGap

Initial value:
= 4 * (kSymphonyZeroMark +
kSymphonyZeroSpace)

## kSymphonyOneMark

const uint16_t kSymphonyOneMark = kSymphonyZeroSpace

## kSymphonyOneSpace

const uint16_t kSymphonyOneSpace = kSymphonyZeroMark

## kSymphonyZeroMark

const uint16_t kSymphonyZeroMark = 400

## kSymphonyZeroSpace

const uint16_t kSymphonyZeroSpace = 1250

kSymphonyZeroMark
const uint16_t kSymphonyZeroMark
Definition: ir_Symphony.cpp:29
kSymphonyZeroSpace
const uint16_t kSymphonyZeroSpace
Definition: ir_Symphony.cpp:30